Bug 187421 - [UPDATE] databases/py-swift: update to 1.13.0
Summary: [UPDATE] databases/py-swift: update to 1.13.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-10 16:10 UTC by Steve Wills
Modified: 2014-03-12 01:00 UTC (History)
1 user (show)

See Also:


Attachments
py-swift-1.13.0.patch (2.36 KB, patch)
2014-03-10 16:10 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2014-03-10 16:10:00 UTC
- Update to 1.13.0

Port maintainer (gslin@gslin.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.11 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-10 16:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-10 16:10:09 UTC
Maintainer of databases/py-swift,

Please note that PR ports/187421 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187421

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-03-10 16:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 gslin 2014-03-10 17:05:08 UTC
Thanks, please commit it.

On Mon, Mar 10, 2014 at 04:10:09PM +0000, Edwin Groothuis wrote:
> Maintainer of databases/py-swift,
> 
> Please note that PR ports/187421 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187421
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 5 dfilter service freebsd_committer 2014-03-12 00:59:44 UTC
Author: swills
Date: Wed Mar 12 00:59:35 2014
New Revision: 347948
URL: http://svnweb.freebsd.org/changeset/ports/347948
QAT: https://qat.redports.org/buildarchive/r347948/

Log:
  - Update to 1.13.0
  - Add memcached dependency since it seems required to run
  - Use UIDs and GIDs and create a user for swift since that seems required
  
  PR:		ports/187421
  Submitted by:	swills (myself)
  Approved by:	Gea-Suan Lin <gslin@gslin.org> (maintainer)

Modified:
  head/GIDs
  head/UIDs
  head/databases/py-swift/Makefile
  head/databases/py-swift/distinfo

Modified: head/GIDs
==============================================================================
--- head/GIDs	Tue Mar 11 23:39:01 2014	(r347947)
+++ head/GIDs	Wed Mar 12 00:59:35 2014	(r347948)
@@ -101,6 +101,7 @@ icinga:*:183:
 dnscache:*:184:
 tinydns:*:185:
 dnslog:*:186:
+swift:*:187:
 moinmoin:*:192:
 cups:*:193:
 saned:*:194:

Modified: head/UIDs
==============================================================================
--- head/UIDs	Tue Mar 11 23:39:01 2014	(r347947)
+++ head/UIDs	Wed Mar 12 00:59:35 2014	(r347948)
@@ -106,6 +106,7 @@ icinga:*:183:183::0:0:Icinga pseudo-user
 dnscache:*:184:184::0:0:dnscache pseudo-user:/nonexistent:/usr/sbin/nologin
 tinydns:*:185:185::0:0:tinydns pseudo-user:/nonexistent:/usr/sbin/nologin
 dnslog:*:186:186::0:0:dnslog pseudo-user:/nonexistent:/usr/sbin/nologin
+swift:*:187:187::0:0:Swift daemon pseudo-user:/nonexistent:/usr/sbin/nologin
 moinmoin:*:192:192::0:0:MoinMoin User:/nonexistent:/usr/sbin/nologin
 cups:*:193:193::0:0:Cups Owner:/nonexistent:/usr/sbin/nologin
 saned:*:194:194::0:0:SANE Scanner Daemon:/nonexistent:/bin/sh

Modified: head/databases/py-swift/Makefile
==============================================================================
--- head/databases/py-swift/Makefile	Tue Mar 11 23:39:01 2014	(r347947)
+++ head/databases/py-swift/Makefile	Wed Mar 12 00:59:35 2014	(r347948)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	swift
-PORTVERSION=	1.12.0
+PORTVERSION=	1.13.0
 CATEGORIES=	databases python
-MASTER_SITES=	http://launchpadlibrarian.net/163953035/
+MASTER_SITES=	http://launchpadlibrarian.net/168204360/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	gslin@gslin.org
@@ -24,12 +24,15 @@ RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}Pas
 		${PYTHON_PKGNAMEPREFIX}sqlite3>=0:${PORTSDIR}/databases/py-sqlite3 \
 		${PYTHON_PKGNAMEPREFIX}webob>=0.9.8:${PORTSDIR}/www/py-webob \
 		${PYTHON_PKGNAMEPREFIX}xattr>=0:${PORTSDIR}/devel/py-xattr \
+		memcached>=0:${PORTSDIR}/databases/memcached \
 		rsync>=3.0:${PORTSDIR}/net/rsync
 
 USE_PYTHON=	2
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_AUTOPLIST=	yes
 USE_RC_SUBR=	swift
+USERS=		swift
+GROUPS=		swift
 
 post-patch:
 	@${REINPLACE_CMD} -e "s|/etc/swift|${PREFIX}/etc/${PORTNAME}|" \

Modified: head/databases/py-swift/distinfo
==============================================================================
--- head/databases/py-swift/distinfo	Tue Mar 11 23:39:01 2014	(r347947)
+++ head/databases/py-swift/distinfo	Wed Mar 12 00:59:35 2014	(r347948)
@@ -1,2 +1,2 @@
-SHA256 (swift-1.12.0.tar.gz) = 8ca450e747339668ade6b62b78c4617b2f7c5ff4c4b9f7b3cbc48779b8dfaa3e
-SIZE (swift-1.12.0.tar.gz) = 751007
+SHA256 (swift-1.13.0.tar.gz) = 2c2203678cb67e2e8249db1265c68ec901edfaaceeb759e1ac427324a74b6918
+SIZE (swift-1.13.0.tar.gz) = 779440
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2014-03-12 01:00:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!